# fmp_data/intelligence/__init__.py
from fmp_data.intelligence.client import MarketIntelligenceClient
from fmp_data.intelligence.models import (
    AnalystEstimate,
    AnalystRecommendation,
    CrowdfundingOffering,
    CryptoNewsArticle,
    DividendEvent,
    EarningConfirmed,
    EarningEvent,
    EarningSurprise,
    EquityOffering,
    ESGBenchmark,
    ESGData,
    ESGRating,
    FMPArticle,
    FMPArticlesResponse,
    ForexNewsArticle,
    GeneralNewsArticle,
    HistoricalSocialSentiment,
    HouseDisclosure,
    IPOEvent,
    PressRelease,
    PressReleaseBySymbol,
    PriceTarget,
    PriceTargetConsensus,
    PriceTargetSummary,
    SenateTrade,
    SocialSentimentChanges,
    StockNewsArticle,
    StockNewsSentiment,
    StockSplitEvent,
    TrendingSocialSentiment,
    UpgradeDowngrade,
    UpgradeDowngradeConsensus,
)

__all__ = [
    "MarketIntelligenceClient",
    "PriceTarget",
    "PriceTargetSummary",
    "PriceTargetConsensus",
    "AnalystEstimate",
    "AnalystRecommendation",
    "UpgradeDowngrade",
    "UpgradeDowngradeConsensus",
    "EarningEvent",
    "EarningConfirmed",
    "EarningSurprise",
    "DividendEvent",
    "StockSplitEvent",
    "IPOEvent",
    "ESGData",
    "ESGRating",
    "ESGBenchmark",
    "SenateTrade",
    "HouseDisclosure",
    "CrowdfundingOffering",
    "EquityOffering",
    "FMPArticle",
    "FMPArticlesResponse",
    "GeneralNewsArticle",
    "StockNewsArticle",
    "StockNewsSentiment",
    "ForexNewsArticle",
    "CryptoNewsArticle",
    "PressRelease",
    "PressReleaseBySymbol",
    "HistoricalSocialSentiment",
    "TrendingSocialSentiment",
    "SocialSentimentChanges",
]
